# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryApiRequest(JDCloudRequest):
    """
    查询单个api
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryApiRequest, self).__init__(
            '/regions/{regionId}/apiGroups/{apiGroupId}/revision/{revision}/apis/{apiId}', 'GET', header, version)
        self.parameters = parameters


class QueryApiParameters(object):

    def __init__(self, regionId, apiGroupId, revision, apiId, ):
        """
        :param regionId: 地域ID
        :param apiGroupId: 分组ID
        :param revision: 版本号
        :param apiId: 接口ID
        """

        self.regionId = regionId
        self.apiGroupId = apiGroupId
        self.revision = revision
        self.apiId = apiId
        self.filters = None

    def setFilters(self, filters):
        """
        :param filters: (Optional) isApiProduct - 是否API产品，精确匹配，1为是

        """
        self.filters = filters

