# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeFormulaSummaryListRequest(JDCloudRequest):
    """
    查询计费项账单月汇总数据
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeFormulaSummaryListRequest, self).__init__(
            '/regions/{regionId}/describeFormulaSummaryList', 'POST', header, version)
        self.parameters = parameters


class DescribeFormulaSummaryListParameters(object):

    def __init__(self,regionId, billDate, ):
        """
        :param regionId: Region ID
        :param billDate: 账期时间,不支持跨月查询。格式:yyyyMM
        """

        self.regionId = regionId
        self.billDate = billDate
        self.appCode = None
        self.serviceCode = None
        self.region = None
        self.resourceId = None
        self.pageIndex = None
        self.pageSize = None

    def setAppCode(self, appCode):
        """
        :param appCode: (Optional) 产品线代码
        """
        self.appCode = appCode

    def setServiceCode(self, serviceCode):
        """
        :param serviceCode: (Optional) 产品代码
        """
        self.serviceCode = serviceCode

    def setRegion(self, region):
        """
        :param region: (Optional) 地域编码，如：cn-north-1
        """
        self.region = region

    def setResourceId(self, resourceId):
        """
        :param resourceId: (Optional) 资源单id
        """
        self.resourceId = resourceId

    def setPageIndex(self, pageIndex):
        """
        :param pageIndex: (Optional) pageIndex 分页,默认从1开始
        """
        self.pageIndex = pageIndex

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) pageSize 每页查询数据条数,最多支持1000条
        """
        self.pageSize = pageSize

