# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class BillItemVo(object):

    def __init__(self, itemSourceId, property, propertyName, actualUsage, billFee, actualFee, payState, deductUsage=None, billingUsage=None, startTime=None, endTime=None, usageUnit=None, discountFee=None, cashCouponFee=None, balancePayFee=None, cashPayFee=None, wire=None, unitPrice=None, priceUnit=None, payTime=None, propertyType=None, propertyUnit=None, propertyQuantity=None, number=None, unitUsage=None, monthTotalUsage=None, favorableInfo=None):
        """
        :param itemSourceId:  计费项明细账单唯一标识，不可重复
        :param property:  计费项Code
        :param propertyName:  计费项名称
        :param actualUsage:  实际用量
        :param deductUsage: (Optional) 抵扣用量
        :param billingUsage: (Optional) 计费用量， 计费用量 = 实际用量 - 抵扣用量
        :param billFee:  计费项原价，6位精度
        :param startTime: (Optional) 开始时间
        :param endTime: (Optional) 结束时间
        :param usageUnit: (Optional) 用量单位
        :param discountFee: (Optional) 折扣金额，6位精度
        :param actualFee:  应付金额，2位精度
        :param cashCouponFee: (Optional) 代金券支付金额，2位精度
        :param balancePayFee: (Optional) 余额支付金额：2位精度
        :param cashPayFee: (Optional) 现金支付金额：2位精度
        :param wire: (Optional) 电汇金额，2位精度
        :param unitPrice: (Optional) 单价
        :param priceUnit: (Optional) 单价单位
        :param payState:  计费项支付状态 0、未支付 1、己支付
        :param payTime: (Optional) 支付时间
        :param propertyType: (Optional) 属性类型
        :param propertyUnit: (Optional) 属性单位
        :param propertyQuantity: (Optional) 属性量
        :param number: (Optional) 数量
        :param unitUsage: (Optional) 单位用量
        :param monthTotalUsage: (Optional) 月累计用量
        :param favorableInfo: (Optional) 优惠信息
        """

        self.itemSourceId = itemSourceId
        self.property = property
        self.propertyName = propertyName
        self.actualUsage = actualUsage
        self.deductUsage = deductUsage
        self.billingUsage = billingUsage
        self.billFee = billFee
        self.startTime = startTime
        self.endTime = endTime
        self.usageUnit = usageUnit
        self.discountFee = discountFee
        self.actualFee = actualFee
        self.cashCouponFee = cashCouponFee
        self.balancePayFee = balancePayFee
        self.cashPayFee = cashPayFee
        self.wire = wire
        self.unitPrice = unitPrice
        self.priceUnit = priceUnit
        self.payState = payState
        self.payTime = payTime
        self.propertyType = propertyType
        self.propertyUnit = propertyUnit
        self.propertyQuantity = propertyQuantity
        self.number = number
        self.unitUsage = unitUsage
        self.monthTotalUsage = monthTotalUsage
        self.favorableInfo = favorableInfo
