# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class OrderPriceProtocol(object):

    def __init__(self, resourceId=None, appCode=None, serviceCode=None, site=None, region=None, billingType=None, timeSpan=None, timeUnit=None, networkOperator=None, formula=None, formulaStr=None, pin=None, count=None, startTime=None, endTime=None, taskId=None, sourceId=None, az=None, protectionPeriod=None):
        """
        :param resourceId: (Optional) 资源id(新购时不传，升降配、续费必须传)
        :param appCode: (Optional) 业务线
        :param serviceCode: (Optional) 产品线(必传)
        :param site: (Optional) 站点信息 0：主站  其他：专有云
        :param region: (Optional) 地域(新购、升降配必传)
        :param billingType: (Optional) 计费类型 1:按配置 2:按用量 3:包年包月(必传) 4:按次计费
        :param timeSpan: (Optional) 时长(包年包月新购、续费必传)
        :param timeUnit: (Optional) 时长类型 0:无(非包年包月) 1:小时 2:天 3:月 4:年 5:周(包年包月新购、续费必传)
        :param networkOperator: (Optional) 网络类型 0:non 1:非BGP  2:BGP
        :param formula: (Optional) 计算公式（配置细项）(新购、升降配必传)
        :param formulaStr: (Optional) 配置细项
        :param pin: (Optional) 用户pin
        :param count: (Optional) 具体商品数量，默认为1
        :param startTime: (Optional) 订单开始时间
        :param endTime: (Optional) 临时升配结束时间,临时升配时必传
        :param taskId: (Optional) 自然单列表
        :param sourceId: (Optional) 交易单模块sourceId
        :param az: (Optional) 可用区
        :param protectionPeriod: (Optional) 抢占式计费类型设置保护期，默认：0（未设置保护期）
        """

        self.resourceId = resourceId
        self.appCode = appCode
        self.serviceCode = serviceCode
        self.site = site
        self.region = region
        self.billingType = billingType
        self.timeSpan = timeSpan
        self.timeUnit = timeUnit
        self.networkOperator = networkOperator
        self.formula = formula
        self.formulaStr = formulaStr
        self.pin = pin
        self.count = count
        self.startTime = startTime
        self.endTime = endTime
        self.taskId = taskId
        self.sourceId = sourceId
        self.az = az
        self.protectionPeriod = protectionPeriod
