# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class CreditTaskMarketingDetail(object):

    def __init__(self, phone=None, ip=None, time=None, channel=None, referUrlLower=None, loginType=None, lastLoginTime=None, regTime=None, regIp=None, regType=None, regName=None, regChannel=None, uid=None, eid=None, macAddress=None, vendorId=None, imei=None, idfa=None, appVersion=None, businessId=None, newPersonType=None, batchId=None, activityKeyRaw=None, source=None, cookieHash=None, address=None, userAgent=None, xForwardedFor=None, mouseClickCount=None, keyboardClickCount=None, loginSpend=None, lastLoginEid=None, jumpUrl=None, elapsedTime=None, regResult=None, regEmail=None, share=None, dayTimes=None, totalTimes=None, atitude=None, longitude=None):
        """
        :param phone: (Optional) 注册手机号，国内手机：11位手机号;海外手机：以+号开头，4位国家代码+5-11位手机号扩展位；手机注册，必填
        :param ip: (Optional) 参与活动IP,用户领取奖励时的真实外网 IP（非服务端），IPV4 或 IPV6
        :param time: (Optional) 参与活动时间戳，参与活动时间戳，UNIX时间戳
        :param channel: (Optional) 用户参加活动渠道或终端，1：PC端web浏览器注册 PC-Brower；2：PC客户端注册 PC-Client；3：移动设备各种APP注册 Mobile-APP；4 ：移动设备浏览器登录，移动端M页注册 Mobile-Brower；5：移动设备微信客户端中购物入口的注册操作 Mobile-WX；6： 移动设备QQ客户端中购物入口的注册操作 Mobile-QQ；7： 移动设备微信客户端中微信小程序注册操作- Mobile-WX；0：其他
        :param referUrlLower: (Optional) 小写referUrl
        :param loginType: (Optional) 登录方式，1：手动帐号密码输入；2：动态短信密码登录；3：二维码扫描登录；0：其他
        :param lastLoginTime: (Optional) 登录时间，用户最近登录完成时间，UNIX时间戳
        :param regTime: (Optional) 注册时间，UNIX时间戳
        :param regIp: (Optional) 注册来源的外网 IP，IPV4 或 IPV6
        :param regType: (Optional) 注册类型，1：手机注册；2：邮箱注册；3：pin注册；0：其他。
        :param regName: (Optional) 注册帐号名，用户注册使用名称
        :param regChannel: (Optional) 注册渠道或注册终端，1： PC端web浏览器注册 PC-Brower；2：PC客户端注册 PC-Client；3：移动设备各种APP注册 Mobile-APP；4 ：移动设备浏览器登录，移动端M页注册 Mobile-Brower；5：移动设备微信客户端中购物入口的注册操作 Mobile-WX；6： 移动设备QQ客户端中购物入口的注册操作 Mobile-QQ；7： 移动设备微信客户端中微信小程序注册操作- Mobile-WX；0：其他
        :param uid: (Optional) 参加活动设备uid，UID是使用iOS系统非隐私参数，用一套统一规则生成的用于标识苹果手机的ID
        :param eid: (Optional) 参与活动登录的设备号，设备指纹编码
        :param macAddress: (Optional) MAC地址，MAC 地址或设备唯一标识。
        :param vendorId: (Optional) 手机制造商 ID，手机制造商 ID，如果手机注册，请带上此信息。
        :param imei: (Optional) 手机设备号，Android：imei，IOS：idfa
        :param idfa: (Optional) 手机设备号，Android：imei，IOS：idfa
        :param appVersion: (Optional) App 客户端版本，如果使用App操作，请带上此信息
        :param businessId: (Optional) 业务 ID， 网站或应用在多个业务中使用此服务，通过此 ID 区分统计数据
        :param newPersonType: (Optional) 对于新人的类型做分类，用于新人权益互斥的场景做领券限制，不同业务场景的解释会有变化。例如：1001：新人188大礼包；1002：全链路新人礼包；1003：市场部新人；1004： 极速版拉新；1005：事业部拉新
        :param batchId: (Optional) 优惠券ID
        :param activityKeyRaw: (Optional) 活动key
        :param source: (Optional) 业务来源，基础账号侧配置的业务来源，用来识别和区分独立业务，枚举可根据客户具体需求调整。
        :param cookieHash: (Optional) cookie 的Hash值，用户 HTTP 请求中的 cookie 进行2次 hash 的值，只要保证相同 cookie 的 hash 值一致即可。
        :param address: (Optional) 用户领取奖品邮寄地址
        :param userAgent: (Optional) 用户 HTTP 请求的 userAgent
        :param xForwardedFor: (Optional) 用户 HTTP 请求中的 x_forward_for。
        :param mouseClickCount: (Optional) 用户操作过程中鼠标单击次数。
        :param keyboardClickCount: (Optional) 用户操作过程中键盘单击次数。
        :param loginSpend: (Optional) 登录耗时，从出登录页到登录提交之间的时间差（出登录视图埋点，提交时计算时间差），如果为免密码登录方式，可以在换取认证token时生成时间戳，验证token时计算时间差，单位ms
        :param lastLoginEid: (Optional) 最后登录设备号（eid），设备指纹编码
        :param jumpUrl: (Optional) 登录成功后跳转页面。
        :param elapsedTime: (Optional) 注册占用时长，从用户进入注册页到点击注册提交之间的时间差，单位ms
        :param regResult: (Optional) 注册结果，成功 or 失败；如直接做拦截校验可不填，1：注册成功；2：注册失败。
        :param regEmail: (Optional) 用户注册邮箱
        :param share: (Optional) 单个红包允许领取的用户数量（分享红包）
        :param dayTimes: (Optional) 单日内，单个账号每日领取奖励的最大次数。
        :param totalTimes: (Optional) 整个活动周期内，单个账号能领取奖励的最大次数
        :param atitude: (Optional) 维度。浮点数，范围为-90 - 90
        :param longitude: (Optional) 经度。浮点数，范围为-180 - 180
        """

        self.phone = phone
        self.ip = ip
        self.time = time
        self.channel = channel
        self.referUrlLower = referUrlLower
        self.loginType = loginType
        self.lastLoginTime = lastLoginTime
        self.regTime = regTime
        self.regIp = regIp
        self.regType = regType
        self.regName = regName
        self.regChannel = regChannel
        self.uid = uid
        self.eid = eid
        self.macAddress = macAddress
        self.vendorId = vendorId
        self.imei = imei
        self.idfa = idfa
        self.appVersion = appVersion
        self.businessId = businessId
        self.newPersonType = newPersonType
        self.batchId = batchId
        self.activityKeyRaw = activityKeyRaw
        self.source = source
        self.cookieHash = cookieHash
        self.address = address
        self.userAgent = userAgent
        self.xForwardedFor = xForwardedFor
        self.mouseClickCount = mouseClickCount
        self.keyboardClickCount = keyboardClickCount
        self.loginSpend = loginSpend
        self.lastLoginEid = lastLoginEid
        self.jumpUrl = jumpUrl
        self.elapsedTime = elapsedTime
        self.regResult = regResult
        self.regEmail = regEmail
        self.share = share
        self.dayTimes = dayTimes
        self.totalTimes = totalTimes
        self.atitude = atitude
        self.longitude = longitude
