# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetSessionIdRequest(JDCloudRequest):
    """
    获取会话id
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetSessionIdRequest, self).__init__(
            '/captcha:getsessionid', 'POST', header, version)
        self.parameters = parameters


class GetSessionIdParameters(object):

    def __init__(self, ):
        """
        """

        self.appId = None
        self.sceneId = None
        self.secret = None
        self.uuid = None
        self.ip = None
        self.userAgent = None
        self.fingerPrint = None
        self.clientType = None
        self.clientVersion = None

    def setAppId(self, appId):
        """
        :param appId: (Optional) 应用id
        """
        self.appId = appId

    def setSceneId(self, sceneId):
        """
        :param sceneId: (Optional) 场景id
        """
        self.sceneId = sceneId

    def setSecret(self, secret):
        """
        :param secret: (Optional) 密钥，从界面获取
        """
        self.secret = secret

    def setUuid(self, uuid):
        """
        :param uuid: (Optional) uuid，ios客户端传openudid, android客户端传androidid, m, pc, wxapp客户端此值为空即可
        """
        self.uuid = uuid

    def setIp(self, ip):
        """
        :param ip: (Optional) 客户端ip
        """
        self.ip = ip

    def setUserAgent(self, userAgent):
        """
        :param userAgent: (Optional) 客户端userAgent
        """
        self.userAgent = userAgent

    def setFingerPrint(self, fingerPrint):
        """
        :param fingerPrint: (Optional) 指纹，ios和android客户端(clientType)从sdk获取, m, pc, wxapp客户端此值为空即可
        """
        self.fingerPrint = fingerPrint

    def setClientType(self, clientType):
        """
        :param clientType: (Optional) 客户端类型, android, ios, pc, wxmapp, m
        """
        self.clientType = clientType

    def setClientVersion(self, clientVersion):
        """
        :param clientVersion: (Optional) 客户端版本，用户端app版本，可选
        """
        self.clientVersion = clientVersion

