# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeProgressRequest(JDCloudRequest):
    """
    查询 Clickhouse 集群进度
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeProgressRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/progress', 'GET', header, version)
        self.parameters = parameters


class DescribeProgressParameters(object):

    def __init__(self, regionId,instanceId,):
        """
        :param regionId: 地域代码
        :param instanceId: 实例ID
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.backendProgress = None

    def setBackendProgress(self, backendProgress):
        """
        :param backendProgress: (Optional) 是否获取创建域名进度，0不需要，1需要
        """
        self.backendProgress = backendProgress

