# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ClickhouseInstanceSpec(object):

    def __init__(self, instanceName, chNodeClass, replicaNum, shardNum, chNodeStorageGB, zkNodeClass, monitorNodeClass, zkNodeNum, azId, vpcId, subnetId, zkNodeStorageGB, monitorNodeStorageGB, chargeSpec, engineVersion=None, chNodeStorageType=None, tagSpec=None):
        """
        :param instanceName:  实例名
        :param engineVersion: (Optional) Clickhouse引擎版本
        :param chNodeClass:  实例规格
        :param replicaNum:  实例副本数
        :param shardNum:  实例分片数
        :param chNodeStorageGB:  存储空间，单位GB
        :param chNodeStorageType: (Optional) 存储空间类型
        :param zkNodeClass:  ZooKeeper单个节点的规格代码
        :param monitorNodeClass:  Monitor单个节点的规格代码
        :param zkNodeNum:  ZooKeeper节点数目
        :param azId:  可用区ID，目前仅支持单可用区部署
        :param vpcId:  VPC的ID
        :param subnetId:  子网ID
        :param zkNodeStorageGB:  存储空间，单位GB
        :param monitorNodeStorageGB:  存储空间，单位GB
        :param chargeSpec:  计费规格，包括计费类型，计费周期等
        :param tagSpec: (Optional) 标签信息
        """

        self.instanceName = instanceName
        self.engineVersion = engineVersion
        self.chNodeClass = chNodeClass
        self.replicaNum = replicaNum
        self.shardNum = shardNum
        self.chNodeStorageGB = chNodeStorageGB
        self.chNodeStorageType = chNodeStorageType
        self.zkNodeClass = zkNodeClass
        self.monitorNodeClass = monitorNodeClass
        self.zkNodeNum = zkNodeNum
        self.azId = azId
        self.vpcId = vpcId
        self.subnetId = subnetId
        self.zkNodeStorageGB = zkNodeStorageGB
        self.monitorNodeStorageGB = monitorNodeStorageGB
        self.chargeSpec = chargeSpec
        self.tagSpec = tagSpec
