# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryPrivilegeSelfListRequest(JDCloudRequest):
    """
    查看当前用户授权信息列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryPrivilegeSelfListRequest, self).__init__(
            '/management:queryPrivilegeSelfList', 'POST', header, version)
        self.parameters = parameters


class QueryPrivilegeSelfListParameters(object):

    def __init__(self,):
        """
        """

        self.instanceId = None
        self.instanceName = None
        self.showNormal = None
        self.releaseStatus = None
        self.pageNumber = None
        self.pageSize = None

    def setInstanceId(self, instanceId):
        """
        :param instanceId: (Optional) 实例ID
        """
        self.instanceId = instanceId

    def setInstanceName(self, instanceName):
        """
        :param instanceName: (Optional) 实例名称
        """
        self.instanceName = instanceName

    def setShowNormal(self, showNormal):
        """
        :param showNormal: (Optional) 是否只显示生效中的授权信息
        """
        self.showNormal = showNormal

    def setReleaseStatus(self, releaseStatus):
        """
        :param releaseStatus: (Optional) 是否只显示释放的记录,true展示释放权限的记录
        """
        self.releaseStatus = releaseStatus

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 显示数据的页码，取值范围：[1,∞)。pageNumber为Null时，返回所有数据页码；超过总页数时，无数据。
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页显示的数据条数，用于查询列表的接口。
        """
        self.pageSize = pageSize

