# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class TransmissionEndpoint(object):

    def __init__(self, region=None, type=None, instanceType=None, instanceId=None, engine=None, host=None, port=None, userName=None, password=None, topic=None, databaseName=None, unifiedAuth=None, mongos=None, mongoShards=None, configServer=None, other=None, connectionStr=None):
        """
        :param region: (Optional) 实例所在地域，若为京东云资源，则必须传入该参数
        :param type: (Optional) 实例类型：Replication（副本集）、Sharding（分片集）、Cluster（主从实例）、Readonly（只读实例）
        :param instanceType: (Optional) CloudInstance：RDS MySQL(MariaDB,Percona)、RDS SQL Server、RDS PostgreSQL、MongoDB、Kafka、Elasticsearch；ECS：云主机自建数据库；OTHER：有公网IP的自建数据库；EXPRESS：通过专线接入的数据库
        :param instanceId: (Optional) 如果为云数据库实例，则传入云数据库实例ID；如果为ECS实例，则传入云主机ID
        :param engine: (Optional) 数据库类型，支持MySQL、Percona、MariaDB、PostgreSQL、MongoDB、Kafka、Elasticsearch、Clickhouse
        :param host: (Optional) 数据库连接地址，域名或IP，InstanceType为OTHER时必填
        :param port: (Optional) 数据库监听端口，InstanceType为OTHER时必填
        :param userName: (Optional) 数据库访问账号
        :param password: (Optional) 数据库访问密码
        :param topic: (Optional) Topic名称
        :param databaseName: (Optional) 传输对象所属的数据库名称
        :param unifiedAuth: (Optional) 是否使用统一认证信息（若开启，mongos、mongoshards、configserver将使用相同的认证信息）
        :param mongos: (Optional) 
        :param mongoShards: (Optional) 
        :param configServer: (Optional) 
        :param other: (Optional) 
        :param connectionStr: (Optional) 数据库连接串，Kafka、MongoDB实例可选
        """

        self.region = region
        self.type = type
        self.instanceType = instanceType
        self.instanceId = instanceId
        self.engine = engine
        self.host = host
        self.port = port
        self.userName = userName
        self.password = password
        self.topic = topic
        self.databaseName = databaseName
        self.unifiedAuth = unifiedAuth
        self.mongos = mongos
        self.mongoShards = mongoShards
        self.configServer = configServer
        self.other = other
        self.connectionStr = connectionStr
