# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateCustomImageRequest(JDCloudRequest):
    """
    创建自定义镜像。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateCustomImageRequest, self).__init__(
            '/regions/{regionId}/images', 'POST', header, version)
        self.parameters = parameters


class CreateCustomImageParameters(object):

    def __init__(self,regionId, instanceId, imageName, ):
        """
        :param regionId: regionId

        :param instanceId: 指定的轻量应用云主机的实例ID

        :param imageName: 自定义镜像名称

        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.imageName = imageName
        self.description = None
        self.clientToken = None

    def setDescription(self, description):
        """
        :param description: (Optional) 镜像描述信息

        """
        self.description = description

    def setClientToken(self, clientToken):
        """
        :param clientToken: (Optional) 用于保证请求的幂等性。由客户端生成，并确保不同请求中该参数唯一，长度不能超过64个字符。

        """
        self.clientToken = clientToken

