# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeDisksRequest(JDCloudRequest):
    """
    查询磁盘信息。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeDisksRequest, self).__init__(
            '/regions/{regionId}/disks', 'GET', header, version)
        self.parameters = parameters


class DescribeDisksParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: regionId

        """

        self.regionId = regionId
        self.instanceId = None
        self.diskIds = None
        self.pageSize = None
        self.pageNumber = None

    def setInstanceId(self, instanceId):
        """
        :param instanceId: (Optional) 指定的轻量应用云主机的实例ID

        """
        self.instanceId = instanceId

    def setDiskIds(self, diskIds):
        """
        :param diskIds: (Optional) 磁盘ID, `[\"volume-xxx\", \"volume-yyy\"]`, json array 字串

        """
        self.diskIds = diskIds

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页码；默认为1。
        """
        self.pageSize = pageSize

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 分页大小；<br>默认为20；取值范围[10, 100]。
        """
        self.pageNumber = pageNumber

