# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeDomainsRequest(JDCloudRequest):
    """
    查询域名接口

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeDomainsRequest, self).__init__(
            '/regions/{regionId}/instanceDomains', 'GET', header, version)
        self.parameters = parameters


class DescribeDomainsParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: regionId

        """

        self.regionId = regionId
        self.domainNames = None
        self.pageNumber = None
        self.pageSize = None

    def setDomainNames(self, domainNames):
        """
        :param domainNames: (Optional) 域名名称。支持模糊搜索，最多20个，例如: `[\"name-1\", \"name-2\"]`, json array 字串。

        """
        self.domainNames = domainNames

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页码；默认为1。
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小；<br>默认为20；取值范围[10, 100]。
        """
        self.pageSize = pageSize

