# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeImagesRequest(JDCloudRequest):
    """
    DescribeImages 查询指定地域下一个或多个镜像信息Image 模型。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeImagesRequest, self).__init__(
            '/regions/{regionId}/images', 'GET', header, version)
        self.parameters = parameters


class DescribeImagesParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: regionId

        """

        self.regionId = regionId
        self.imageIds = None
        self.imageType = None
        self.platform = None

    def setImageIds(self, imageIds):
        """
        :param imageIds: (Optional) 镜像ID, `[\"img-m5s0****29\", \"img-m5s0****30\"]`, json array 字串。

        """
        self.imageIds = imageIds

    def setImageType(self, imageType):
        """
        :param imageType: (Optional) 镜像类型。 可能取值：system, app, custom, 如果imageIds不传时，此项为必传。

        """
        self.imageType = imageType

    def setPlatform(self, platform):
        """
        :param platform: (Optional) 根据镜像的操作系统发行版查询。
取值范围：`Ubuntu、CentOS、Windows Server`。

        """
        self.platform = platform

