# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class Instance(object):

    def __init__(self, instanceId=None, status=None, createdTime=None, innerIpAddress=None, chargeType=None, planId=None, publicIpAddress=None, regionId=None, expiredTime=None, instanceName=None, businessStatus=None, imageId=None, keyNames=None, domains=None):
        """
        :param instanceId: (Optional) 实例ID
        :param status: (Optional) 实例状态, 
pending	创建中：调用创建轻量应用云主机接口后的中间状态。
starting	启动中：调用启动轻量应用云主机接口后的中间状态。
running	运行中：轻量应用云主机的稳定运行状态。
stopping	停止中：调用停止轻量应用云主机接口后的中间状态。
stopped	关机：轻量应用云主机处于完全关机的状态。
rebooting 重启中：调用重启轻量应用云主机接口后的中间状态。
resetting	重置系统中：调用更换轻量应用云主机镜像接口后的中间状态。
upgrading	变配中：调用变更轻量应用云主机方案接口后的中间状态。
deleting	删除中：调用删除轻量应用云主机接口后的中间状态。
error	错误：轻量应用云主机系统内部出现未知系统异常导致轻量应用云主机出现不可用状态。

        :param createdTime: (Optional) 创建时间
        :param innerIpAddress: (Optional) 内网IP地址
        :param chargeType: (Optional) 计费方式
        :param planId: (Optional) 套餐ID
        :param publicIpAddress: (Optional) 公网IP地址
        :param regionId: (Optional) 地域ID
        :param expiredTime: (Optional) 到期时间
        :param instanceName: (Optional) 服务器名称
        :param businessStatus: (Optional) 服务器业务状态, normal: 正常， overdue: 预付费已到期

        :param imageId: (Optional) 镜像id
        :param keyNames: (Optional) 云主机使用的密钥对名称。
        :param domains: (Optional) 绑定域名列表。
        """

        self.instanceId = instanceId
        self.status = status
        self.createdTime = createdTime
        self.innerIpAddress = innerIpAddress
        self.chargeType = chargeType
        self.planId = planId
        self.publicIpAddress = publicIpAddress
        self.regionId = regionId
        self.expiredTime = expiredTime
        self.instanceName = instanceName
        self.businessStatus = businessStatus
        self.imageId = imageId
        self.keyNames = keyNames
        self.domains = domains
