# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class Target(object):

    def __init__(self, targetId=None, targetGroupId=None, agId=None, type=None, instanceId=None, port=None, weight=None, privateIpAddress=None, ipAddress=None):
        """
        :param targetId: (Optional) Target的Id
        :param targetGroupId: (Optional) TargetGroup的Id, target 属于 targetGroup 或者 AG, target 从属于 AG 时,该字段无用
        :param agId: (Optional) 高可用组(ag)的id, target 属于 targetGroup 或者 AG, target 从属于 targetGroup 时,该字段无用
        :param type: (Optional) Target的类型，取值为vm、container或ip, 默认为vm
        :param instanceId: (Optional) Target所属实例（vm或container）的Id
        :param port: (Optional) Target提供服务的端口，取值范围：0-65535，其中0表示与backend的端口相同，默认为0。 <br>【dnlb】使用限制：dnlb同一TargetGroup下，同一实例/ip仅允许一个端口提供服务
        :param weight: (Optional) 该Target的权重，取值范围：0-100 ，默认为10。0表示不参与流量转发，仅alb支持权重为0的target
        :param privateIpAddress: (Optional) Target所属实例（vm或container）的内网IP地址
        :param ipAddress: (Optional) Target的IP地址。当Target类型为vm或container时，表示vm或container的内网IP地址；当Target类型为ip时，表示注册Target时指定的IP地址
        """

        self.targetId = targetId
        self.targetGroupId = targetGroupId
        self.agId = agId
        self.type = type
        self.instanceId = instanceId
        self.port = port
        self.weight = weight
        self.privateIpAddress = privateIpAddress
        self.ipAddress = ipAddress
