# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeCoProductsRequest(JDCloudRequest):
    """
    查询合作产品列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeCoProductsRequest, self).__init__(
            '/regions/{regionId}/CooperationInfo:describeCoProducts', 'POST', header, version)
        self.parameters = parameters


class DescribeCoProductsParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 区域(如:cn-north-1)
        """

        self.regionId = regionId
        self.cooperationId = None
        self.companyName = None
        self.name = None
        self.productName = None
        self.contractNo = None
        self.productType = None
        self.productMode = None
        self.productStatus = None
        self.settlementMode = None
        self.settlementCycle = None
        self.pageIndex = None
        self.pageSize = None

    def setCooperationId(self, cooperationId):
        """
        :param cooperationId: (Optional) 合作id
        """
        self.cooperationId = cooperationId

    def setCompanyName(self, companyName):
        """
        :param companyName: (Optional) 公司名称
        """
        self.companyName = companyName

    def setName(self, name):
        """
        :param name: (Optional) 合作名称
        """
        self.name = name

    def setProductName(self, productName):
        """
        :param productName: (Optional) 产品名称
        """
        self.productName = productName

    def setContractNo(self, contractNo):
        """
        :param contractNo: (Optional) 合同编号
        """
        self.contractNo = contractNo

    def setProductType(self, productType):
        """
        :param productType: (Optional) 产品类型
        """
        self.productType = productType

    def setProductMode(self, productMode):
        """
        :param productMode: (Optional) 产品模式
        """
        self.productMode = productMode

    def setProductStatus(self, productStatus):
        """
        :param productStatus: (Optional) 产品状态
        """
        self.productStatus = productStatus

    def setSettlementMode(self, settlementMode):
        """
        :param settlementMode: (Optional) 结算方式
        """
        self.settlementMode = settlementMode

    def setSettlementCycle(self, settlementCycle):
        """
        :param settlementCycle: (Optional) 结算周期
        """
        self.settlementCycle = settlementCycle

    def setPageIndex(self, pageIndex):
        """
        :param pageIndex: (Optional) 页码
        """
        self.pageIndex = pageIndex

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页记录数
        """
        self.pageSize = pageSize

