# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifyContractRequest(JDCloudRequest):
    """
    编辑合同信息
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifyContractRequest, self).__init__(
            '/regions/{regionId}/Contract:modifyContract', 'POST', header, version)
        self.parameters = parameters


class ModifyContractParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 区域(如:cn-north-1)
        """

        self.regionId = regionId
        self.contractUuid = None
        self.contractNo = None
        self.startDate = None
        self.endDate = None
        self.remark = None
        self.fileUuid = None

    def setContractUuid(self, contractUuid):
        """
        :param contractUuid: (Optional) 合同唯一标识(添加不需要传，编辑必传)
        """
        self.contractUuid = contractUuid

    def setContractNo(self, contractNo):
        """
        :param contractNo: (Optional) 合同编号
        """
        self.contractNo = contractNo

    def setStartDate(self, startDate):
        """
        :param startDate: (Optional) 开始时间
        """
        self.startDate = startDate

    def setEndDate(self, endDate):
        """
        :param endDate: (Optional) 结束时间
        """
        self.endDate = endDate

    def setRemark(self, remark):
        """
        :param remark: (Optional) 备注
        """
        self.remark = remark

    def setFileUuid(self, fileUuid):
        """
        :param fileUuid: (Optional) 合同附件文件标识
        """
        self.fileUuid = fileUuid

