# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class OrderItemDetail(object):

    def __init__(self, priceSnapshot=None, extraInfoBefore=None, extraInfoAfter=None, extraInfo=None, actualFee=None, quantity=None, expireDateBefore=None, expireDateAfter=None, unit=None, chargeDuration=None, chargeMode=None, totalFee=None, serviceName=None, siteType=None, createTime=None, status=None, itemId=None, itemName=None, formula=None, orderNumber=None, allActualFee=None, remark=None, moneyPay=None, balancePay=None, refundFee=None, chargeModeInfo=None, deleteStatus=None, favorableFee=None, resizeFormulaType=None):
        """
        :param priceSnapshot: (Optional) 价格快照Json
        :param extraInfoBefore: (Optional) 变更前资源配置
        :param extraInfoAfter: (Optional) 变更后资源配置
        :param extraInfo: (Optional) 商品规格参数
        :param actualFee: (Optional) 应付金额（元）
        :param quantity: (Optional) 数量
        :param expireDateBefore: (Optional) 续费前资源到期时间
        :param expireDateAfter: (Optional) 续费后资源到期时间
        :param unit: (Optional) 计费时长单位
        :param chargeDuration: (Optional) 计费时长（购买时长）
        :param chargeMode: (Optional) 计费类型
        :param totalFee: (Optional) 订单总额（元）
        :param serviceName: (Optional) 资源类型
        :param siteType: (Optional) 站点类型 0：主站,1：国际站,2：云市场
        :param createTime: (Optional) 下单时间
        :param status: (Optional) 订单商品状态：创建中、成功、失败
        :param itemId: (Optional) 资源id
        :param itemName: (Optional) 资源名称
        :param formula: (Optional) 计算公式（配置细项）
        :param orderNumber: (Optional) 订单编号
        :param allActualFee: (Optional) 实际支付总金额
        :param remark: (Optional) 备注
        :param moneyPay: (Optional) 现金支付
        :param balancePay: (Optional) 余额支付
        :param refundFee: (Optional) 已退款金额
        :param chargeModeInfo: (Optional) 订单计费类型：按配置、包年包月、按用量actualFee
        :param deleteStatus: (Optional) 退款状态 RefundStatusEnum 0,申请退款 1,退款审核中 2,已退款 3,已取消 4,退款失败 5,财务审批驳回 6,财务审批通过
        :param favorableFee: (Optional) 代金券金额
        :param resizeFormulaType: (Optional) 变配明细
        """

        self.priceSnapshot = priceSnapshot
        self.extraInfoBefore = extraInfoBefore
        self.extraInfoAfter = extraInfoAfter
        self.extraInfo = extraInfo
        self.actualFee = actualFee
        self.quantity = quantity
        self.expireDateBefore = expireDateBefore
        self.expireDateAfter = expireDateAfter
        self.unit = unit
        self.chargeDuration = chargeDuration
        self.chargeMode = chargeMode
        self.totalFee = totalFee
        self.serviceName = serviceName
        self.siteType = siteType
        self.createTime = createTime
        self.status = status
        self.itemId = itemId
        self.itemName = itemName
        self.formula = formula
        self.orderNumber = orderNumber
        self.allActualFee = allActualFee
        self.remark = remark
        self.moneyPay = moneyPay
        self.balancePay = balancePay
        self.refundFee = refundFee
        self.chargeModeInfo = chargeModeInfo
        self.deleteStatus = deleteStatus
        self.favorableFee = favorableFee
        self.resizeFormulaType = resizeFormulaType
