# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateImageCacheRequest(JDCloudRequest):
    """
    创建一个镜像缓存信息。镜像缓存加速是将镜像预先拉取到一个云盘中并制作为云盘快照，
用户在创建Pod/NC时，若使用的镜像已经有镜像缓存，则可以直接基于该镜像缓存对应的快照制作云盘，并挂载为该容器的系统盘，避免重复拉取镜像并加快创建速度。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateImageCacheRequest, self).__init__(
            '/regions/{regionId}/imageCache', 'POST', header, version)
        self.parameters = parameters


class CreateImageCacheParameters(object):

    def __init__(self,regionId, imageCacheSpec):
        """
        :param regionId: Region ID
        :param imageCacheSpec: 镜像缓存创建参数
        """

        self.regionId = regionId
        self.name = None
        self.imageCacheSpec = imageCacheSpec

    def setName(self, name):
        """
        :param name: (Optional) 镜像缓存名称
        """
        self.name = name

