# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ModifySecurityGroupRules(object):

    def __init__(self, ruleId, protocol=None, ruleAction=None, priority=None, fromPort=None, toPort=None, addressPrefix=None, description=None):
        """
        :param ruleId:  安全组规则的ID。
        :param protocol: (Optional) 规则限定协议。300:All; 6:TCP; 17:UDP; 1:ICMP
        :param ruleAction: (Optional) 访问控制策略：allow:允许，deny：拒绝
        :param priority: (Optional) 规则匹配优先级，取值范围为[1,100]，优先级数字越小优先级越高
        :param fromPort: (Optional) 安全组规则的起始端口。取值范围：1-65535
        :param toPort: (Optional) 安全组规则的终端口。取值范围：1-65535
        :param addressPrefix: (Optional) 安全组规则前缀，取值范围：正确的CIDR
        :param description: (Optional) 安全组规则的描述，取值范围：0-256个UTF-8编码下的全部字符
        """

        self.ruleId = ruleId
        self.protocol = protocol
        self.ruleAction = ruleAction
        self.priority = priority
        self.fromPort = fromPort
        self.toPort = toPort
        self.addressPrefix = addressPrefix
        self.description = description
